package com.xplora.xpsettings.Fragment;

import android.app.DialogFragment;
import android.content.Context;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import com.xplora.xpsettings.R;

public class ShutdownningFragment extends DialogFragment {
    private Context mContext = null;

    public static ShutdownningFragment newInstance(Context context) {
        ShutdownningFragment fragment = new ShutdownningFragment();
        fragment.mContext = context;
        return fragment;
    }

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setStyle(DialogFragment.STYLE_NORMAL, android.R.style.Theme_Translucent_NoTitleBar_Fullscreen);
        //不能右滑退出
        this.setCancelable(false);
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        View rootView = inflater.inflate(R.layout.fragment_shutdownning, container, false);
        return rootView;
    }

    public void setItemInfo(int type, String title,  String content) {
    }

    private void remove() {
        dismissAllowingStateLoss();
    }
}